## org.eclipse.datatools.sqltools.editor.template
Class CursorNameResolver

    java.lang.Object
      org.eclipse.jface.text.templates.TemplateVariableResolver
          org.eclipse.datatools.sqltools.editor.template.CursorNameResolver

    public class CursorNameResolver

extends org.eclipse.jface.text.templates.TemplateVariableResolver

Author:
  Hui Cao

Constructor Summary
`CursorNameResolver()`

Method Summary
`void` `resolve(org.eclipse.jface.text.templates.TemplateVariable variable, org.eclipse.jface.text.templates.TemplateContext context)`

Methods inherited from class org.eclipse.jface.text.templates.TemplateVariableResolver
`getDescription, getType, setDescription, setType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CursorNameResolver

    public CursorNameResolver()

Method Detail

### resolve

    public void resolve(org.eclipse.jface.text.templates.TemplateVariable variable,
                        org.eclipse.jface.text.templates.TemplateContext context)

  Overrides:
    `resolve` in class `org.eclipse.jface.text.templates.TemplateVariableResolver`